Subject: Re: bug#29333: potential dependency bug in packages

From: Adonay Felipe Nogueira <[email-masked]>
Date: Sun, 07 Jan 2018 15:10:07 -0200

I don't use GuixSD, but at least with GNU Guix in foreign distros you
have to install the appropriate icon themes from GNU Guix and add a path
to the XDG_DATA_DIRS environment variable. however, I think
GuixSD has an automated way of dealing with this, perhaps put the themes
in the system configuration?

If you do want to know the way to work around the issue when using only
GNU Guix (not GuixSD), see [1]. Notice that from the title of the soame
thread referenced in [1], you can see that simply telling the system to
replace XDG_DATA_DIRS with itself (taken from the variable expansion at
runtime) and adding stuff to it, has some side-effects in foreign
distros, this is why [1] proposes an alternative method in foreign
distros.

[1] <https://lists.gnu.org/archive/html/bug-guix/2017-03/msg00243.html>.

2017-11-16T20:02:58-0800 support wrote:
> Hi, I've recently installed GuixSD minimal desktop and I'm noticing some apps
> seem to be missing icons, for example, when I go to start asileriot (sol) I
> get these messages:
>
> sol
> GLib-GIO-Message: Using the 'memory' GSettings backend. Your settings will
> not be saved or shared with other applications.
>
> (sol:12539): Gtk-WARNING **: Error loading theme icon 'document-new' for
> stock: Icon 'document-new' not present in theme Adwaita
>
> (sol:12539): Gtk-WARNING **: Error loading theme icon 'view-refresh' for
> stock: Icon 'view-refresh' not present in theme Adwaita
>
> (sol:12539): Gtk-WARNING **: Error loading theme icon 'edit-undo' for stock: 
>
> (sol:12539): Gtk-WARNING **: Error loading theme icon 'edit-redo' for stock: 
>
> (sol:12539): Gtk-WARNING **: Error loading theme icon 'dialog-information'
> for stock: Icon 'dialog-information' not present in theme Adwaita
>
> (sol:12539): Gtk-WARNING **: Error loading theme icon 'dialog-information'
> for stock: Icon 'dialog-information' not present in theme Adwaita
>
> (sol:12539): Gtk-WARNING **: Error loading theme icon 'view-refresh' for
> stock: Icon 'view-refresh' not present in theme Adwaita
>
> (sol:12539): Gtk-WARNING **: Error loading theme icon 'edit-undo' for stock: 
>
> (sol:12539): Gtk-WARNING **: Error loading theme icon 'dialog-information'
> for stock: Icon 'dialog-information' not present in theme Adwaita
>
> (sol:12539): Gtk-WARNING **: Error loading theme icon 'dialog-information'
> for stock: Icon 'dialog-information' not present in theme Adwaita
>
> (sol:12539): Gtk-WARNING **: Error loading theme icon 'view-refresh' for
> stock: Icon 'view-refresh' not present in theme Adwaita
>
> (sol:12539): Gtk-WARNING **: Error loading theme icon 'document-new' for
> stock: Icon 'document-new' not present in theme Adwaita
>
> (sol:12539): Gtk-WARNING **: Error loading theme icon 'view-refresh' for
> stock: Icon 'view-refresh' not present in theme Adwaita
>
> (sol:12539): Gtk-WARNING **: Error loading theme icon 'view-refresh' for
> stock: Icon 'view-refresh' not present in theme Adwaita
>
> (sol:12539): Gtk-WARNING **: Error loading theme icon 'edit-undo' for stock: 
>
> (sol:12539): Gtk-WARNING **: Error loading theme icon 'document-new' for
> stock: Icon 'document-new' not present in theme Adwaita
>
> Also I'm noticing missing icons in icecat
>
> This page:
>
> https://bbs.archlinux.org/viewtopic.php?id=167690
>
> is making me think that what's missing is gnome-icon-theme
>
>

-- 
- https://libreplanet.org/wiki/User:Adfeno
- Palestrante e consultor sobre /software/ livre (não confundir com
  gratis).
- "WhatsApp"? Ele não é livre. Por favor, veja formas de se comunicar
  instantaneamente comigo no endereço abaixo.
- Contato: https://libreplanet.org/wiki/User:Adfeno#vCard
- Arquivos comuns aceitos (apenas sem DRM): Corel Draw, Microsoft
  Office, MP3, MP4, WMA, WMV.
- Arquivos comuns aceitos e enviados: CSV, GNU Dia, GNU Emacs Org, GNU
  GIMP, Inkscape SVG, JPG, LibreOffice (padrão ODF), OGG, OPUS, PDF
  (apenas sem DRM), PNG, TXT, WEBM.